Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceClassifieds

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/classifieds")
      public interface ServiceClassifieds
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getClassified​(String appId, String id, org.fusesource.restygwt.client.MethodCallback<ClassifiedsDTO> callback)` |
    `void` | `getClassifieds​(String appId, org.fusesource.restygwt.client.MethodCallback<ClassifiedsDTO> callback)` |
    `void` | `sendMessageToOwner​(String appId, String message, ClassifiedDTO dto, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |

- - ### Method Detail

    - #### getClassified

          @GET
          @Produces("application/json")
          @Path("{appId}/{Id}")
          void getClassified​(@PathParam("appId")
                             String appId,
                             @PathParam("Id")
                             String id,
                             org.fusesource.restygwt.client.MethodCallback<ClassifiedsDTO> callback)

    - #### sendMessageToOwner

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/{instanceId}/{message}")
          void sendMessageToOwner​(@PathParam("appId")
                                  String appId,
                                  @PathParam("message")
                                  String message,
                                  ClassifiedDTO dto,
                                  org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### getClassifieds

          @GET
          @Produces("application/json")
          @Path("{appId}/all")
          void getClassifieds​(@PathParam("appId")
                              String appId,
                              org.fusesource.restygwt.client.MethodCallback<ClassifiedsDTO> callback)